> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an email message

> Retrieve an email message, including its compiled LMX content.

<Warning>
  Content API endpoints are currently in an open alpha and are subject to
  change.
</Warning>

## Request

### Path parameters

<ParamField path="emailMessageId" type="string" required>
  The ID of the email message.
</ParamField>

## Response

### Success

<ResponseField name="success" type="boolean" required />

<ResponseField name="emailMessageId" type="string" required>
  The email message ID.
</ResponseField>

<ResponseField name="campaignId" type="nullable string" required>
  The ID of the campaign that owns this message.
</ResponseField>

<ResponseField name="subject" type="string" required>
  Email subject line.
</ResponseField>

<ResponseField name="previewText" type="string" required>
  Email preview text.
</ResponseField>

<ResponseField name="fromName" type="string" required>
  Sender display name.
</ResponseField>

<ResponseField name="fromEmail" type="string" required>
  Sender email address.
</ResponseField>

<ResponseField name="replyToEmail" type="string" required>
  Reply-to email address.
</ResponseField>

<ResponseField name="lmx" type="string" required>
  The email body serialized as [LMX](/creating-emails/lmx).
</ResponseField>

<ResponseField name="contentRevisionId" type="nullable string" required>
  The current content revision ID. Pass this as `expectedRevisionId` when
  updating the message.
</ResponseField>

<ResponseField name="updatedAt" type="string" required>
  ISO 8601 timestamp for when the message was last updated.
</ResponseField>

### Error

A `400 Bad Request` is returned for invalid `emailMessageId`, or if no sending
domain is configured.

A `404 Not Found` is returned if the email message does not exist.

A `409 Conflict` is returned when the email message uses MJML format or content cannot be parsed.

If the API key is invalid (or content API is not enabled for your team), a
`401 Unauthorized` is returned.

<ResponseField name="success" type="boolean" required />

<ResponseField name="message" type="string" required>
  An error message describing what went wrong.
</ResponseField>

<ResponseExample>
  ```json Response theme={"dark"}
  {
    "success": true,
    "emailMessageId": "em_01hxyz",
    "campaignId": "cmp_01hxyz",
    "subject": "Big spring updates",
    "previewText": "A quick look at what's new",
    "fromName": "Loops",
    "fromEmail": "hello@news.example.com",
    "replyToEmail": "support@example.com",
    "lmx": "<Email><Text>Hello world</Text></Email>",
    "contentRevisionId": "rev_01hxyz",
    "updatedAt": "2026-03-28T15:20:00.000Z"
  }
  ```

  ```json Error response theme={"dark"}
  {
    "success": false,
    "message": "Email message not found."
  }
  ```
</ResponseExample>
